Just installed ERPNext 14 but it also installed another app called Payments. Why?

Hello,

I just installed ERPNext 14.x for testing purpose.

Its Help->About returns the following:

ERPNext: v14.x.x-develop () (develop)
Frappe Framework: v14.x.x-develop () (develop)
Payments: v0.0.1 (develop)

What is this Payments and why it is getting installed?

TIA

Yogi Yang

That’s very strange. I think it must be this App? Not sure how you installed v14, or why this additional App was included. :man_shrugging:

I Think ERPNext is going to commercial … because I have installed 14 version and only Manufacturing and retails domains available . also HR and Payroll Modules not available …

May be later they may include or like Odoo APP purchase formula /…and subscription …becasue payment app is mandatory to install ERPNExt 14…

No, this has nothing to do with commercialism. The maintainers decided to scale back the “monolith”. Now, the average ERPNext can install the core components. But they won’t have a bunch of domains installed that don’t matter to them.

This was announced a while ago. You can still use the other domains. :+1:. They are just additional Apps now.

Here are some links about this:

2 Likes

payments is the new dependency added in last beta and v14.

caught it when it was added, /api/method/erpnext.templates.pages.product_search.get_product_list not working on develop and version-14 · Issue #866 · frappe/frappe_docker · GitHub

thanks to dj12djdjs (Devin Slauenwhite) · GitHub